package dev.fyloz.musicplayer.core.model

import kotlinx.serialization.Serializable

typealias SearchResult = Map<String, Collection<SearchResultItem>>

@Serializable
data class SearchResultItem(
    val songId: String,
    val name: String,
    val authors: Collection<String>
)