package dev.fyloz.musicplayer.core.factory

import dev.fyloz.musicplayer.core.http.auth.AuthorizationData
import dev.fyloz.musicplayer.core.model.SearchResultItem
import dev.fyloz.musicplayer.core.model.Song

interface SongFactory {
    suspend fun search(query: String, auth: AuthorizationData): Collection<SearchResultItem>
    suspend fun create(id: String, songId: String, auth: AuthorizationData): Song
}
