package dev.fyloz.musicplayer.core.model

/**
 * A generic song.
 */
abstract class Song {
    /** The id of the song in the local system. **/
    abstract val id: String

    /** The id of the song in the remote service. **/
    abstract val songId: String

    /** The name of the song. **/
    abstract val name: String

    /** The name of the authors of the song. **/
    abstract val authors: Collection<String>
}
